#{extends 'borderNG.html' /}
<div class="content">
<ol class="breadcrumb" style="background-color: #d9534f !important;">
	<li><a href="@{BerandaCtr.index()}">&{'kontrakpl.paketppk'}</a></li>
	<li class="active">&{'kontrakpl.fdokumenlain'}</li>
</ol>
#{alert /}
#{form @kontrak.SppPlCtr.simpanDokumenLainPl(pl.lls_id), name:'formDokLain', enctype:"multipart/form-data", method:'POST'}
  	<table class="table table-sm">
  	#{if dokLainPl?.dlp_id!=null}
  	<input type="hidden" name="dokLainPl.dlp_id" value="${dokLainPl?.dlp_id}">
  	#{/if}
    		<tr >
				<td  width="300">Nama Dokumen <span class="error">*</span></td>
				<td>
					<input type="text" class="form-control  #{validate 'dokLainPl.dlp_nama_dokumen'/}" name="dokLainPl.dlp_nama_dokumen"
						   value="${dokLainPl?.dlp_nama_dokumen}"/>
					 <div class="invalid-feedback">#{error 'dokLainPl.dlp_nama_dokumen' /}</div>
				</td>
			</tr>
			<tr >
				<td  width="300">Nomor Dokumen <span class="error">*</span></td>
				<td>
					<input type="text" class="form-control  #{validate 'dokLainPl.dlp_nomor_dokumen'/}" name="dokLainPl.dlp_nomor_dokumen" value="${dokLainPl?.dlp_nomor_dokumen}"/>
					 <div class="invalid-feedback">#{error 'dokLainPl.dlp_nomor_dokumen' /}</div>
				</td>
			</tr>
			<tr >
				<td >Tanggal Dokumen: </td>
				<td>
					<div class="input-group date datepicker width-normal">
						<input name="dokLainPl.dlp_tanggal_dokumen" value="${dokLainPl?.dlp_tanggal_dokumen?.toDatepicker()}" type="text"
							   class="form-control datepicker #{validate 'dokLainPl.dlp_tanggal_dokumen'/}"/>
						<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
						<div class="invalid-feedback">#{error 'dokLainPl.dlp_tanggal_dokumen' /}</div>
            		</div>
				</td>
			</tr>

			<tr >
				<td  width="300">Upload File Dokumen: </td>
				<td class="">
					#{if dokLainPl?.dlp_id_attachment}
                        <br />
                        <ul class="list-group">
                            <li class="list-group-item">
                                <a name="dlpAttachment" href="${dokLainPl?.blob?.getDownloadUrl(models.handler.BeritaDownloadHandler.class)}">${dokLainPl?.blob?.getFileName()}</a>
                                <a href="javascript:void(0)" class="removeBtn">
									<input type="hidden" name="hapus" value="${dokLainPl.dlp_id_attachment}">
									<i class="fa fa-trash-o fa-lg"></i>
								</a>
                            </li>
						</ul>
					#{/if}
                    <input type="file" id="attachment"  size="60" name="dlpAttachment" class="form-control #{validate 'dokLainPl.dlp_id_attachment'/}"  />
                    <div class="invalid-feedback">#{error 'dokLainPl.dlp_id_attachment' /}</div>

				</td>
			</tr>

			<tr >
				<td  width="300">Keterangan: </td>
				<td>
					<input type="text" class="form-control  #{validate 'dokLainPl.dlp_keterangan'/}" name="dokLainPl.dlp_keterangan" value="${dokLainPl?.dlp_keterangan}"/>
					 <div class="invalid-feedback">#{error 'dokLainPl.dlp_keterangan' /}</div>
				</td>
			</tr>
			
		
	
  		<tr>
				<td colspan="3">
				<button type="submit" name="simpan"  class="btn btn-success"><i class="fa fa-save"></i> &{'kontrakpl.simpan'}</button>
				
				
				*{	#{if pesananx?.pes_id}
					<a href="@{nonlelang.KontrakPlCtr.cetakPesananPl(pl.lls_id,pesananx.pes_id)}" class="btn btn-primary" ><i class="fa fa-print"></i> &{'kontrakpl.cetak'}</a>
					<a href="@{nonlelang.KontrakPlCtr.hapusPesananPl(pesananx.pes_id,pl.lls_id)}" class="btn btn-danger" ><i class="fa fa-trash-o fa-lg"></i> &{'Hapus'}</a>
					#{/if}}*
						<a href="@{BerandaCtr.index()}"  class="btn btn-default">&{'kontrakpl.kembali'}</a>
	</td>
			</tr>
    	</table>
    	#{/form}	
</div>
#{set 'css_custom' }
<link href="#{assets '/handsontable/handsontable.full.min.css'/}" rel="stylesheet" type="text/css">
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
<script type="text/javascript">
    $(document).on('click', '.removeBtn', function(){
        $(this).parent().parent().remove()
    });
</script>
#{/set}